# nvme-attach-ns(1) Manual Page

## NAME

nvme-attach-ns - Send NVMe attach namespace, return result.

## SYNOPSIS

    nvme attach-ns <device> [--namespace-id=<nsid> | -n <nsid>]
                            [--controllers=<ctrl-list,> | -c <ctrl-list,>]

## DESCRIPTION

For the NVMe device given, sends the nvme namespace attach command for the provided namespace identifier, attaching to the provided list of controller identifiers.

## OPTIONS

-n <nsid>
--namespace-id=<nsid>

  The namespace identifier to attach.

-c <ctrl-list,>
-controllers=<ctrl-list,>

  The comma separated list of controller identifiers to attach the namespace too.

## EXAMPLES

    Attach namespace to the controller:

    # nvme attach-ns /dev/nvme1  -n 0x2 -c 0x21

## NVME

Part of the nvme-user suite